Bug 1003751 - Guest win2012 prompts "status: 0xc000000f" error while installation using virtio-scsi
Guest win2012 prompts "status: 0xc000000f" error while installation using vi...
Status: CLOSED DUPLICATE of bug 1056982
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: 7.0
Assigned To: Radim Krčmář
Red Hat Kernel QE team
:
Depends On:
Blocks: 1069309
  Show dependency treegraph
 
Reported: 2013-09-03 02:50 EDT by xhan
Modified: 2014-03-25 10:09 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 07:26:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error screen (21.42 KB, image/jpeg)
2013-09-03 02:50 EDT, xhan
no flags Details
Screenshot that windows loading the driver for 1 hour (53.87 KB, image/png)
2013-09-22 03:59 EDT, Qian Guo
no flags Details
test w/ virtio-win-prewhql-0.1-72, reproduced this bug. (20.73 KB, image/png)
2013-09-27 03:49 EDT, Qian Guo
no flags Details

  None (edit)
Description xhan 2013-09-03 02:50:54 EDT
Created attachment 793038 [details]
error screen

Description of problem:

Install win2012 guest with virtio-scsi, after reboot the guest in the installation process, guest prompts error: "Status: 0xc000000f".


Version-Release number of selected component (if applicable):
kernel: 2.6.32-414.el6.x86_64
qemu-kvm-0.12.1.2-2.398.el6.x86_64
virtio-win-prewhql-0.1-68

How reproducible:
100%

Steps to Reproduce:
1. start guest install 
qemu \
    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130903-105551-0G5cRivF,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130903-105551-0G5cRivF,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130903-105551-0G5cRivF,path=/tmp/seabios-20130903-105551-0G5cRivF,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130903-105551-0G5cRivF,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5 \
    -drive file='win2012-64-virtio.qcow2',if=none,id=virtio-scsi0-id0,media=disk,cache=none,snapshot=off,format=qcow2,aio=native \
    -device scsi-hd,drive=virtio-scsi0-id0 \
    -device virtio-net-pci,netdev=idLQMVey,mac='9a:5c:5d:5e:5f:60',bus=pci.0,addr=0x3,id='idBdaLYN' \
    -netdev tap,id=idLQMVey,vhost=on,vhostfd=28,fd=27 \
    -m 16384 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'Opteron_G2' \
    -M rhel6.5.0 \
    -drive file='Win2012/en_windows_server_2012_x64_dvd_915478.iso',if=none,id=virtio-scsi1-id1,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi1-id1 \
    -drive file='winutils.iso',if=none,id=virtio-scsi2-id2,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi2-id2 \
    -drive file='virtio-win.latest_prewhql.iso',if=none,id=virtio-scsi3-id3,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi3-id3 \
    -device AC97,addr=0x6 \
    -drive file='win2012-64/answer.vfd',if=none,id=fdc0-0-0,media=disk,readonly=off,format=raw \
    -global isa-fdc.driveA=fdc0-0-0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga std \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off  \
    -enable-kvm
2. wait and see the installation process


Actual results:
Windows guest some times could reboot successfully. It promts "Status: 0xc000000f" error.

Expected results:
Installation should be successful.

Additional info:

host cpu info:

processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) Dual Core Processor 5400B
stepping	: 2
cpu MHz		: 1000.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch lbrv
bogomips	: 2004.23
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps
Comment 3 xhan 2013-09-04 01:58:35 EDT
This issue happened on host amd-5400b-4-2, and did not execute "quit" command. 

And retest this case with autotest on host amd-9600b-8-2. The result is failed of 86%. 

host cpu info:
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 2
model name	: AMD Phenom(tm) 9600B Quad-Core Processor
stepping	: 3
cpu MHz		: 1150.000
cache size	: 512 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs npt lbrv svm_lock
bogomips	: 4609.60
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate
Comment 4 Qunfang Zhang 2013-09-09 05:44:40 EDT
Hi, xhan

Could you try virtio blk?  There's a bug about windows virtio-scsi driver. It has not been fix on the latest virtio-win-prewhql-69.

Bug 994377 - [virtio-win][vioscsi]virtio-win-prewhql-66 scsi driver could not be installed on all platform
Comment 5 xhan 2013-09-10 04:13:14 EDT
Test this case with virtio-blk again. There is no this issue.

Try with virtio-scsi and virtio-win-1.6.5.iso again, this problem still exists.
Comment 6 xhan 2013-09-10 04:17:28 EDT
During the reproduce, the "Setup is starting" screen may stay too long time, then launch "system-reset" via human monitor. The error screen would appear.
Comment 7 Asias He 2013-09-18 00:59:39 EDT
(In reply to Qunfang Zhang from comment #4)
> Hi, xhan
> 
> Could you try virtio blk?  There's a bug about windows virtio-scsi driver.
> It has not been fix on the latest virtio-win-prewhql-69.
> 
> Bug 994377 - [virtio-win][vioscsi]virtio-win-prewhql-66 scsi driver could
> not be installed on all platform

Is the windos virtio-scsi driver fixed?
Comment 8 Qunfang Zhang 2013-09-18 01:25:16 EDT
(In reply to Asias He from comment #7)
> (In reply to Qunfang Zhang from comment #4)
> > Hi, xhan
> > 
> > Could you try virtio blk?  There's a bug about windows virtio-scsi driver.
> > It has not been fix on the latest virtio-win-prewhql-69.
> > 
> > Bug 994377 - [virtio-win][vioscsi]virtio-win-prewhql-66 scsi driver could
> > not be installed on all platform
> 
> Is the windos virtio-scsi driver fixed?

Hi, Asias

Now there's a virtio-win-prewhql-70 build, but not sure whether fix this issue. We have not tried it. Will update here once get result.
Comment 11 Qian Guo 2013-09-22 03:58:16 EDT
Hi, all

I try to install the Windows 2012 with the latest virtio-win-prewhql (virtio-win-prewhql-0.1-70), but failed, can not install the driver for the scsi disk.

components I used:

# uname -r
2.6.32-419.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.404.el6.x86_64
virtio-win-prewhql:virtio-win-prewhql-0.1-70



The cli I used for installation:

#/usr/libexec/qemu-kvm     -S     -name 'virt-tests-vm1'     -nodefaults     -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130903-105551-0G5cRivF,server,nowait     -mon chardev=qmp_id_qmpmonitor1,mode=control     -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130903-105551-0G5cRivF,server,nowait     -device isa-serial,chardev=serial_id_serial1     -chardev socket,id=seabioslog_id_20130903-105551-0G5cRivF,path=/tmp/seabios-20130903-105551-0G5cRivF,server,nowait     -device isa-debugcon,chardev=seabioslog_id_20130903-105551-0G5cRivF,iobase=0x402     -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4     -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5     -drive file='win2012-64-virtio.qcow2',if=none,id=virtio-scsi0-id0,media=disk,cache=none,snapshot=off,format=qcow2,aio=native     -device scsi-hd,drive=virtio-scsi0-id0     -device virtio-net-pci,netdev=idLQMVey,mac='9a:5c:5d:5e:5f:60',bus=pci.0,addr=0x3,id='idBdaLYN'     -netdev tap,id=idLQMVey,vhost=on,script=/etc/qemu-ifup     -m 2G     -smp 2,maxcpus=2,cores=1,threads=1,sockets=2     -cpu 'Opteron_G2'     -M rhel6.5.0     -drive file='en_windows_server_2012_x64_dvd_915478.iso',if=none,id=virtio-scsi1-id1,media=cdrom,readonly=on,format=raw     -device scsi-cd,drive=virtio-scsi1-id1      -drive file='virito-win.iso',if=none,id=virtio-scsi3-id3,media=cdrom,readonly=on,format=raw     -device scsi-cd,drive=virtio-scsi3-id3             -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1     -vnc :0     -vga std     -rtc base=localtime,clock=host,driftfix=slew      -boot menu=on      -enable-kvm -monitor stdio -drive file='virtio-win-prewhql-0.1-70_amd64.vfd',if=none,id=fdc0-0-0,media=disk,readonly=off,format=raw     -global isa-fdc.driveA=fdc0-0-0



In the "Select the driver to install" window, Windows 2012 system try to load the driver, but it just stays loading for long time (I wait for 1 hour), I will attach the snapshot that the system loading driver, it seams like bug #994377.

I tried 2 hosts, both hit this, and one is the reporter used:

# cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) Dual Core Processor 5400B
stepping	: 2
cpu MHz		: 1000.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 2
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch lbrv
bogomips	: 2004.15
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps
...

I can not reproduce this bug if bug #994377 not fixed, so could we wait until that bug fixed ?

Thanks,
Qian Guo.
Comment 12 Qian Guo 2013-09-22 03:59:20 EDT
Created attachment 801126 [details]
Screenshot that windows loading the driver for 1 hour
Comment 13 Ademar Reis 2013-09-26 10:33:35 EDT
(In reply to Qian Guo from comment #11)
> 
> I can not reproduce this bug if bug #994377 not fixed, so could we wait
> until that bug fixed ?
> 

bug #994377 is now ON_QA. Please try to reproduce this one again.
Comment 14 Qian Guo 2013-09-26 20:32:50 EDT
(In reply to Ademar de Souza Reis Jr. from comment #13)
> (In reply to Qian Guo from comment #11)
> > 
> > I can not reproduce this bug if bug #994377 not fixed, so could we wait
> > until that bug fixed ?
> > 
> 
> bug #994377 is now ON_QA. Please try to reproduce this one again.

Ok, I will try to reproduce it and update here.
Comment 15 Qian Guo 2013-09-27 03:48:52 EDT
Test this w/ virtio-win-prewhql-0.1-72, reproduced.

Steps, just installed and when the guest reboot, hit this issuse, my cli:
 /usr/libexec/qemu-kvm     -S     -name 'virt-tests-vm1'     -nodefaults     -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130903-105551-0G5cRivF,server,nowait     -mon chardev=qmp_id_qmpmonitor1,mode=control     -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130903-105551-0G5cRivF,server,nowait     -device isa-serial,chardev=serial_id_serial1     -chardev socket,id=seabioslog_id_20130903-105551-0G5cRivF,path=/tmp/seabios-20130903-105551-0G5cRivF,server,nowait     -device isa-debugcon,chardev=seabioslog_id_20130903-105551-0G5cRivF,iobase=0x402     -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4     -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5     -drive file='win2012-64-virtio.qcow2',if=none,id=virtio-scsi0-id0,media=disk,cache=none,snapshot=off,format=qcow2,aio=native     -device scsi-hd,drive=virtio-scsi0-id0     -device virtio-net-pci,netdev=idLQMVey,mac='9a:5c:5d:5e:5f:60',bus=pci.0,addr=0x3,id='idBdaLYN'     -netdev tap,id=idLQMVey,vhost=on,script=/etc/qemu-ifup     -m 2G     -smp 2,maxcpus=2,cores=1,threads=1,sockets=2     -cpu 'SandyBridge'     -M rhel6.5.0     -drive file='en_windows_server_2012_x64_dvd_915478.iso',if=none,id=virtio-scsi1-id1,media=cdrom,readonly=on,format=raw     -device scsi-cd,drive=virtio-scsi1-id1      -drive file='virtio-win-prewhql-0.1-72.iso',if=none,id=virtio-scsi3-id3,media=cdrom,readonly=on,format=raw     -device scsi-cd,drive=virtio-scsi3-id3             -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1     -vnc :0     -vga std     -rtc base=localtime,clock=host,driftfix=slew      -boot menu=on      -enable-kvm -monitor stdio -drive file='virtio-win-prewhql-0.1-72_amd64.vfd',if=none,id=fdc0-0-0,media=disk,readonly=off,format=raw     -global isa-fdc.driveA=fdc0-0-0


"Status: 0xc0000001", I will attach the screenshot in this bug
Comment 16 Qian Guo 2013-09-27 03:49:46 EDT
Created attachment 803804 [details]
test w/ virtio-win-prewhql-0.1-72, reproduced this bug.
Comment 17 Vadim Rozenfeld 2013-10-09 00:27:52 EDT
Just wandering, don't we specify boot indexes any more? Or did you choose boot device from the boot menu?
Thanks,
Vadim.
Comment 18 Vadim Rozenfeld 2013-10-09 00:30:41 EDT
Btw, does it fail with error code 0xc0000001 or 0xc000000f?

Thanks,
Vadim.
Comment 19 Qian Guo 2013-10-09 00:50:32 EDT
(In reply to Vadim Rozenfeld from comment #17)
> Just wandering, don't we specify boot indexes any more? Or did you choose
> boot device from the boot menu?
Start installation by select boot menu
> Thanks,
> Vadim.
Comment 20 Qian Guo 2013-10-09 00:51:36 EDT
(In reply to Vadim Rozenfeld from comment #18)
> Btw, does it fail with error code 0xc0000001 or 0xc000000f?
> 
As comment #15 , it failed w/ error code 0xc0000001 .

> Thanks,
> Vadim.
Comment 21 Vadim Rozenfeld 2013-10-09 01:01:56 EDT
(In reply to Qian Guo from comment #19)
> (In reply to Vadim Rozenfeld from comment #17)
> > Just wandering, don't we specify boot indexes any more? Or did you choose
> > boot device from the boot menu?
> Start installation by select boot menu

Yes, you probably select CD-ROM as the boot media when
beginning the system installation process,
but do you select virtio-scsi disk after reset?
In any case can you try specifying boot indexes explicitly 

> > Thanks,
> > Vadim.
Comment 22 xhan 2013-10-09 04:04:10 EDT
(In reply to Vadim Rozenfeld from comment #21)
> (In reply to Qian Guo from comment #19)
> > (In reply to Vadim Rozenfeld from comment #17)
> > > Just wandering, don't we specify boot indexes any more? Or did you choose
> > > boot device from the boot menu?
> > Start installation by select boot menu
> 
> Yes, you probably select CD-ROM as the boot media when
> beginning the system installation process,
> but do you select virtio-scsi disk after reset?
> In any case can you try specifying boot indexes explicitly 
> 
> > > Thanks,
> > > Vadim.

With specifying boot indexes explicitly for scsi-hd, the same problem hits.
Comment 23 Vadim Rozenfeld 2013-10-09 05:02:04 EDT
(In reply to xhan from comment #22)
> (In reply to Vadim Rozenfeld from comment #21)
> > (In reply to Qian Guo from comment #19)
> > > (In reply to Vadim Rozenfeld from comment #17)
> > > > Just wandering, don't we specify boot indexes any more? Or did you choose
> > > > boot device from the boot menu?
> > > Start installation by select boot menu
> > 
> > Yes, you probably select CD-ROM as the boot media when
> > beginning the system installation process,
> > but do you select virtio-scsi disk after reset?
> > In any case can you try specifying boot indexes explicitly 
> > 
> > > > Thanks,
> > > > Vadim.
> 
> With specifying boot indexes explicitly for scsi-hd, the same problem hits.

could yo please post the qemu command line? I would like to reproduce this problem on my setup.
Thanks,
Vadim.
Comment 25 RHEL Product and Program Management 2013-10-13 22:25:07 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 26 Vadim Rozenfeld 2013-12-03 03:55:58 EST
Hi guys,

Is this issue reproducible with drivers from build 74?

Thanks,
Vadim.
Comment 28 xhan 2014-01-17 01:08:15 EST
Run with virtio-win-prewhql-0.1-74.iso, this issue could not be hit.

Tested version:
qemu-kvm-0.12.1.2-2.407.el6.x86_64
kernel-2.6.32-420.el6.x86_64
Comment 29 Ronen Hod 2014-02-24 12:50:39 EST
(In reply to xhan from comment #28)
> Run with virtio-win-prewhql-0.1-74.iso, this issue could not be hit.
> 
> Tested version:
> qemu-kvm-0.12.1.2-2.407.el6.x86_64
> kernel-2.6.32-420.el6.x86_64

Did you test it on the same host? We are chasing a problem with AMD hosts, and I just want to verify that this was not the issue.
Comment 32 xhan 2014-03-12 23:37:46 EDT
(In reply to Ronen Hod from comment #29)
> (In reply to xhan from comment #28)
> > Run with virtio-win-prewhql-0.1-74.iso, this issue could not be hit.
> > 
> > Tested version:
> > qemu-kvm-0.12.1.2-2.407.el6.x86_64
> > kernel-2.6.32-420.el6.x86_64
> 
> Did you test it on the same host? We are chasing a problem with AMD hosts,
> and I just want to verify that this was not the issue.

I tested on the same host.
Comment 33 xhan 2014-03-13 03:19:40 EDT
This issue is hit on RHEL.6 host with virtio-win 74. And could not reproduce it with Comment#31.
Comment 34 xhan 2014-03-13 03:22:28 EDT
This issue is hit on RHEL.6 host with virtio-win 74. And Comment#31 uses package for rhel7. 
Could not use the packages provided to reproduce this issue.
Comment 35 RHEL Product and Program Management 2014-03-22 02:39:30 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 39 Karen Noel 2014-03-25 10:09:33 EDT

*** This bug has been marked as a duplicate of bug 1056982 ***

Note You need to log in before you can comment on or make changes to this bug.